package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class MdMigrDependencyDTO implements Serializable {

    private static final long serialVersionUID = 666584282782285L;

    private Integer id;

    private Integer parentId;

    private Integer childId;

    private String parentObjectType;

    private String childObjectType;

    private Integer securityGroupId;

    private java.util.Date createdOn;

    private String createdBy;

    private java.util.Date lastUpdatedOn;

    private String lastUpdatedBy;

    private Integer connectionIdFk;

        public Integer getId() {
    return id;
    }

        public void setId(Integer id) {
    this.id = id;
    }

        public Integer getParentId() {
    return parentId;
    }

        public void setParentId(Integer parentId) {
    this.parentId = parentId;
    }

        public Integer getChildId() {
    return childId;
    }

        public void setChildId(Integer childId) {
    this.childId = childId;
    }

        public String getParentObjectType() {
    return parentObjectType;
    }

        public void setParentObjectType(String parentObjectType) {
    this.parentObjectType = parentObjectType;
    }

        public String getChildObjectType() {
    return childObjectType;
    }

        public void setChildObjectType(String childObjectType) {
    this.childObjectType = childObjectType;
    }

        public Integer getSecurityGroupId() {
    return securityGroupId;
    }

        public void setSecurityGroupId(Integer securityGroupId) {
    this.securityGroupId = securityGroupId;
    }

        public java.util.Date getCreatedOn() {
    return createdOn;
    }

        public void setCreatedOn(java.util.Date createdOn) {
    this.createdOn = createdOn;
    }

        public String getCreatedBy() {
    return createdBy;
    }

        public void setCreatedBy(String createdBy) {
    this.createdBy = createdBy;
    }

        public java.util.Date getLastUpdatedOn() {
    return lastUpdatedOn;
    }

        public void setLastUpdatedOn(java.util.Date lastUpdatedOn) {
    this.lastUpdatedOn = lastUpdatedOn;
    }

        public String getLastUpdatedBy() {
    return lastUpdatedBy;
    }

        public void setLastUpdatedBy(String lastUpdatedBy) {
    this.lastUpdatedBy = lastUpdatedBy;
    }

        public Integer getConnectionIdFk() {
    return connectionIdFk;
    }

        public void setConnectionIdFk(Integer connectionIdFk) {
    this.connectionIdFk = connectionIdFk;
    }

}